New XAMPP versions: 1.8.2-6 and 1.8.3-5

Problems with the Windows version of XAMPP, questions, comments, and anything related.

New XAMPP versions: 1.8.2-6 and 1.8.3-5

Postby apatsche » 22. August 2014 13:08

There is something wrong with the XAMPP v1.8.2-6 windows download packages!

First, if you try downloading the latest windows version by clicking the huge download button on the main page, it starts downloading the old version v1.8.2-5. This should be fixed to download latest version.

After looking for v1.8.2-6 under "more download options" I downloaded the .zip and .7z version from sourceforge and installed both and everytime OpenSSL version 1.0.1h was installed. But it should have been version 1.0.1i. It looks like you have implemented the wrong older OpenSSL versions in those windows packages (didn't test other os versions though).

Please fix these packages so that the installed software truely represents the software mentioned!
apatsche
 
Posts: 7
Joined: 22. August 2014 13:00
Operating System: Win

Re: New XAMPP versions: 1.8.2-6 and 1.8.3-5

Postby Nobbie » 22. August 2014 20:22

apatsche wrote:First, if you try downloading the latest windows version by clicking the huge download button on the main page, it starts downloading the old version v1.8.2-5.


Not for me. First, the "huge (green)" button is titled "Click here for other versions". Next, there are three links provided after, one for Windows, one for Linux, one for OSX. Each of them titled "v1.8.3 (PHP 5.5.15)". If i click any of these, the corresponding download starts.

NONE of them leads to v1.8.2.-6. What did you wrong, to get this download?

If i click the first green button for "Other versions", I get an Download Site for all three different OS. The first is WIndows, it provides Version 1.8.2. (PHP 5.4.32) and Version 1.8.3 (PHP 5.5.15). For both versions is a link "Whats included" and for 1.8.2 it says "OpenSSL 0.9.8".

So - where are fishing around?
Nobbie
 
Posts: 8759
Joined: 09. March 2008 13:04

Re: New XAMPP versions: 1.8.2-6 and 1.8.3-5

Postby Beltran » 23. August 2014 08:04

Hi,

Could you post an screenshot about the wrong download link or more details? I can not find any issue. The main buttons in the welcome page points to latest 1.8.3-5 and I checked all the links in the download page are working properly.

OpenSSL 1.0.1i is only included for OS X and Linux, Windows continue using 1.0.1h. We will clarify that in the blog post and components description.
User avatar
Beltran
Power-User
 
Posts: 108
Joined: 22. March 2013 12:29
Operating System: Windows, Linux, OS X

Re: New XAMPP versions: 1.8.2-6 and 1.8.3-5

Postby apatsche » 23. August 2014 14:25

Beltran wrote:Hi,
OpenSSL 1.0.1i is only included for OS X and Linux, Windows continue using 1.0.1h. We will clarify that in the blog post and components description.


That must have been the reason!

I downloaded it from sourceforge. Clicked on "other versions" on the main page and followed the directory tree to windows and xampp win32 1.8.2-6. and there all 3 download versions got he 1.0.1h OpenSSL version:
xampp-win32-1.8.2-6-VC9.zip
xampp-win32-1.8.2-6-VC9.7z
xampp-win32-1.8.2-6-VC9-installer.exe

I got confused as your news post about new xampp version said it includes OpenSSL v1.0.1i but the win32 xampp version only included v1.0.1h
Why is that? Are there any problems with v1.0.1i in windows?

Thanks for looking at this and sorry for posting in the wrong board before.
apatsche
 
Posts: 7
Joined: 22. August 2014 13:00
Operating System: Win

Re: New XAMPP versions: 1.8.2-6 and 1.8.3-5

Postby Beltran » 25. August 2014 08:01

Hi,

Thanks for letting us know. We updated Apache version to 2.4.10 for Windows before OpenSSL was released. We will update it in the next next version.
User avatar
Beltran
Power-User
 
Posts: 108
Joined: 22. March 2013 12:29
Operating System: Windows, Linux, OS X


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 43 guests